A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
stdev
ArrayFire Functions | ArrayFire Functions by Category » Statistics » Basic statistics functions

## Functions
AFAPI array | stdev (const array &in, const dim_t dim=-1)
| C++ Interface for standard deviation.
AFAPI array | stdev (const array &in, const af_var_bias bias, const dim_t dim=-1)
| C++ Interface for standard deviation.
template<typename T >
AFAPI T | stdev (const array &in)
| C++ Interface for standard deviation of all elements.
template<typename T >
AFAPI T | stdev (const array &in, const af_var_bias bias)
| C++ Interface for standard deviation of all elements.
AFAPI af_err | af_stdev (af_array *out, const af_array in, const dim_t dim)
| C Interface for standard deviation.
AFAPI af_err | af_stdev_v2 (af_array *out, const af_array in, const af_var_bias bias, const dim_t dim)
| C Interface for standard deviation.
AFAPI af_err | af_stdev_all (double *real, double *imag, const af_array in)
| C Interface for standard deviation of all elements.
AFAPI af_err | af_stdev_all_v2 (double *real, double *imag, const af_array in, const af_var_bias bias)
| C Interface for standard deviation of all elements.

## Detailed Description

Find the standard deviation of values in the input

This function performs the operation across all dimensions of the input array.

## Function Documentation

## ◆ af_stdev()

AFAPI af_err af_stdev | ( | af_array * | out,
|  | const af_array | in,
|  | const dim_t | dim )

C Interface for standard deviation.

Parameters

  [out] | out | will contain the standard deviation of the input array along dimension `dim`
  [in] | in | is the input array
  [in] | dim | the dimension along which the standard deviation is extracted

Returns
  AF_SUCCESS if the operation is successful, otherwise an appropriate error code is returned.

Deprecated
  Use af_stdev_v2 instead

## ◆ af_stdev_all()

AFAPI af_err af_stdev_all | ( | double * | real,
|  | double * | imag,
|  | const af_array | in )

C Interface for standard deviation of all elements.

Parameters

  [out] | real | will contain the real part of standard deviation of the entire input array
  [out] | imag | will contain the imaginary part of standard deviation of the entire input array
  [in] | in | is the input array

Returns
  AF_SUCCESS if the operation is successful, otherwise an appropriate error code is returned.

Deprecated
  Use af_stdev_all_v2 instead

## ◆ af_stdev_all_v2()

AFAPI af_err af_stdev_all_v2 | ( | double * | real,
|  | double * | imag,
|  | const af_array | in,
|  | const af_var_bias | bias )

C Interface for standard deviation of all elements.

Parameters

  [out] | real | will contain the real part of standard deviation of the entire input array
  [out] | imag | will contain the imaginary part of standard deviation of the entire input array
  [in] | in | is the input array
  [in] | bias | The type of bias used for variance calculation. Takes of value of type af_var_bias

Returns
  AF_SUCCESS if the operation is successful, otherwise an appropriate error code is returned.

## ◆ af_stdev_v2()

AFAPI af_err af_stdev_v2 | ( | af_array * | out,
|  | const af_array | in,
|  | const af_var_bias | bias,
|  | const dim_t | dim )

C Interface for standard deviation.

Parameters

  [out] | out | will contain the standard deviation of the input array along dimension `dim`
  [in] | in | is the input array
  [in] | bias | The type of bias used for variance calculation. Takes of value of type af_var_bias
  [in] | dim | the dimension along which the standard deviation is extracted

Returns
  AF_SUCCESS if the operation is successful, otherwise an appropriate error code is returned.

## ◆ stdev() [1/4]

template<typename T >

AFAPI T stdev | ( | const array & | in | ) |

C++ Interface for standard deviation of all elements.

Parameters

  [in] | in | is the input array

Returns
  standard deviation of the entire input array

Deprecated
  Use af::stdev that takes af_var_bias instead

## ◆ stdev() [2/4]

template<typename T >

AFAPI T stdev | ( | const array & | in,
|  | const af_var_bias | bias )

C++ Interface for standard deviation of all elements.

Parameters

  [in] | in | is the input array
  [in] | bias | The type of bias used for variance calculation. Takes of value of type af_var_bias.

Returns
  standard deviation of the entire input array

## ◆ stdev() [3/4]

AFAPI array stdev | ( | const array & | in,
|  | const af_var_bias | bias,
|  | const dim_t | dim = -1 )

C++ Interface for standard deviation.

Parameters

  [in] | in | is the input array
  [in] | bias | The type of bias used for variance calculation. Takes of value of type af_var_bias.
  [in] | dim | the dimension along which the standard deviation is extracted

Returns
  the standard deviation of the input array along dimension `dim`

Note
  `dim` is -1 by default. -1 denotes the first non-singleton dimension.

## ◆ stdev() [4/4]

AFAPI array stdev | ( | const array & | in,
|  | const dim_t | dim = -1 )

C++ Interface for standard deviation.

Parameters

  [in] | in | is the input array
  [in] | dim | the dimension along which the standard deviation is extracted

Returns
  the standard deviation of the input array along dimension `dim`

Note
  `dim` is -1 by default. -1 denotes the first non-singleton dimension.

Deprecated
  Use af::stdev that takes af_var_bias instead